using System;

namespace Kvalifikacija
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string a = Console.ReadLine();
            string b = Console.ReadLine();
            int[] nizA = new int[a.Length];
            int[] nizB = new int[b.Length];
            for (int i = 0; i < a.Length; i++)
            {
                nizA[i] = int.Parse(a[i].ToString());
            }
            for (int y = 0; y < b.Length; y++)
            {
                nizB[y] = int.Parse(b[y].ToString());
            }

            if (nizA.Length > nizB.Length)
            {
                for (int i = 0; i < nizA.Length - nizB.Length; i++)
                {
                    Console.Write(nizA[i]);
                }
                for (int i = 0; i < nizB.Length; i++)
                {
                    VeciBroj(nizA[i + (nizA.Length - nizB.Length)], nizB[i]);
                }
            }
            else if (nizA.Length < nizB.Length)
            {
                for (int i = 0; i < nizB.Length - nizA.Length; i++)
                {
                    Console.Write(nizB[i]);
                }
                for (int i = 0; i < nizA.Length; i++)
                {
                    VeciBroj(nizA[i], nizB[i + (nizB.Length - nizA.Length)]);
                }
            }
            else
            {
                for (int i = 0; i < nizA.Length; i++)
                {
                    VeciBroj(nizA[i], nizB[i]);
                }
            }
        }

        public static void VeciBroj(int a, int b)
        {
            if (a > b)
            {
                Console.Write(a);
            }
            else if (b > a)
            {
                Console.Write(b);
            }
            else
            {
                Console.Write(a);
                Console.Write(b);
            }
        }
    }
}